import static org.junit.Assert.*;
import org.junit.Test;
import org.junit.Before;

public class Examples {

	Dillo adultDillo;
	Boa adultBoa;
	
    public Examples(){}
    
    @Before
    public void setup()
    {
    	adultDillo = new Dillo(30, true);
    	adultBoa = new Boa("Sammy", 12, "Cheetos");
    }
    
    @Test
    public void testLikesSameFood()
    {
    	Boa sameFoodBoa = new Boa("Fred", 20, "Cheetos");
    	boolean thisResult = adultBoa.likesSameFood(sameFoodBoa);
    	assertTrue(thisResult);
    	
    	Boa diffFoodBoa = new Boa("Fred", 20, "");
    	boolean thisResult2 = adultBoa.likesSameFood(diffFoodBoa);
    	assertFalse(thisResult2);
    }
    
    @Test
    public void testCanShelterFalse()
    {
    	Dillo babyDillo = new Dillo(8, false);   	
    	boolean thisResult = adultDillo.canShelter(babyDillo);
    	assertFalse(thisResult);   	
    }
    
    @Test
    public void testCanShelterTrue()
    {
    	Dillo hugeDeadDillo = new Dillo(65, true);
    	boolean thisResult2 = adultDillo.canShelter(hugeDeadDillo);
    	assertTrue(thisResult2);
    }
    
    @Test
    public void testCanShelterEdge()
    {
    	Dillo tinyDillo = new Dillo(1, true);
    	boolean thisResult = adultDillo.canShelter(tinyDillo);
    	assertFalse(thisResult);
    }
    
    @Test
    public void testLengthBelowSmallerThan()
    {
    	Dillo newDillo = new Dillo(10, true);   	
    	assertTrue(newDillo.lengthBelow(20));
    	
    }

    @Test
    public void testLengthBelowEqualTo()
    {
    	AbsAnimal newDillo = new Dillo(10, true);

    	boolean newResult = newDillo.lengthBelow(10);
    	assertFalse(newResult);  	
    }
    
    @Test
    public void testResidentFits()
    {
    	Boa newBoa = new Boa("Sammy", 15, "Cheetos");
    	Cage newCage = new Cage(20, newBoa); 
    	assertTrue(newCage.checkResidentFits());
    }
  
}
